Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453329 - yum installation of selinux-policy-mls failed
Summary: yum installation of selinux-policy-mls failed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-mls
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-29 18:51 UTC by Matthew Booth
Modified: 2008-11-17 22:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-17 22:04:56 UTC


Attachments (Terms of Use)

Description Matthew Booth 2008-06-29 18:51:01 UTC
Description of problem:
I installed a bunch of packages via yum. Installation of selinux-policy-mls
appeared to fail:

Running Transaction
  Installing     : libsepol-devel                                    [1/7] 
  Installing     : libselinux-devel                                  [2/7] 
  Installing     : selinux-doc                                       [3/7] 
  Installing     : selinux-policy-devel                              [4/7] 
  Installing     : policycoreutils-newrole                           [5/7] 
  Installing     : mcstrans                                          [6/7] 
  Installing     : selinux-policy-mls                                [7/7] 
libsepol.context_from_record: type courier_exec_t is not defined
libsepol.context_from_record: could not create context structure
libsepol.context_from_string: could not create context structure
libsepol.sepol_context_to_sid: could not convert
system_u:object_r:courier_exec_t:s0 to sid
invalid context system_u:object_r:courier_exec_t:s0
libsemanage.semanage_install_active: setfiles returned error code 1.
libsemanage.semanage_install_active: Could not copy
/etc/selinux/mls/modules/active/policy.kern to
/etc/selinux/mls/policy/policy.23. (No such file or directory).
semodule:  Failed!

Version-Release number of selected component (if applicable):
Installed: libselinux-devel.i386 0:2.0.64-2.fc9 selinux-doc.noarch 0:1.26-1.1
selinux-policy-devel.noarch 0:3.3.1-69.fc9 selinux-policy-mls.noarch 0:3.3.1-69.fc9
Dependency Installed: libsepol-devel.i386 0:2.0.26-1.fc9 mcstrans.i386
0:0.2.11-1.fc9 policycoreutils-newrole.i386 0:2.0.49-7.fc9

Comment 1 Daniel Walsh 2008-06-30 17:25:45 UTC
Fixed in selinux-policy-3.3.1-73.fc9.noarch

Comment 2 Daniel Walsh 2008-11-17 22:04:56 UTC
Closing all bugs that have been in modified for over a month.  Please reopen if the bug is not actually fixed.


Note You need to log in before you can comment on or make changes to this bug.